#
# spec file for package lua51-luafilesystem
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
%define mod_name luafilesystem

Name:           lua51-luafilesystem
Version:        1.6.3
Release:        1.2
License:        MIT
Summary:        Filesystem support for Lua
Url:            http://www.keplerproject.org/luafilesystem/
Group:          Development/Libraries/Other
Source:         https://github.com/keplerproject/luafilesystem/archive/v_1_6_3.tar.gz#/luafilesystem-%{version}.tar.gz
%if 0%{?suse_version} >= 1140
BuildRequires:  lua51-devel
%else
BuildRequires:  lua-devel
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
LuaFileSystem is a Lua library developed to complement the set of functions
related to file systems offered by the standard Lua distribution.

LuaFileSystem offers a portable way to access the underlying directory
structure and file attributes.

%prep
%setup -q -n %{mod_name}-v_1_6_3

sed -i 's|@@VERSION@@|%{version}|g' Makefile

%build
export OPTFLAGS="%{optflags}"
make

%install
%makeinstall LUA_LIBDIR='$(DESTDIR)%{_libdir}/lua/5.1/'

%files
%defattr(-,root,root,-)
%doc doc/us/*
%dir %{_libdir}/lua
%dir %{_libdir}/lua/5.1
%{_libdir}/lua/5.1/lfs.so

%changelog
* Sat Jun 18 2016 mailaender@opensuse.org
- update to version 1.6.3
- Remove lua51-luafilesystem-fix-configuration.patch
* Fri Aug 22 2014 i@marguerite.su
- update version 1.6.2
  * Full Lua 5.2 compatibility (with Lua 5.1 fallbacks)
* Wed Jul 31 2013 malcolmlewis@opensuse.org
- Add missing changelog file.
- Add lua51-luafilesystem-fix-configuration.patch: Clean up
  building and add rpm optflags.
